NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.CAE.WeldBuilder Class Reference

Represents a NXOpen.CAE.WeldBuilder More...

Inheritance diagram for NXOpen.CAE.WeldBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  NumberOfPointsOnEdgeType { MaximumNumber, SpecifiedNumber }
 Represents the options for specifying maximum number of weld points on an edge More...
 
enum  PointOnEdgeType { ByNumber, ByDistance, ByPattern }
 Represents the options for specifying number of weld points on an edge More...
 
enum  WeldLocation { Point, File, Edge, Node }
 Represents the options for type of operation More...
 

Properties

unsafe NXOpen.Expression DistanceBetween [get]
 Returns the distance between the points on the edge(s) used to specify the location of the weld More...
 
unsafe
NXOpen.SelectTaggedObjectList 
EdgeSelection [get]
 Returns the edge(s) used to specify the location of the weld More...
 
unsafe
NXOpen.CAE.ElementTypeBuilder 
ElementType [get]
 Returns the element type to be created for the weld More...
 
unsafe NXOpen.Expression EndOffset [get]
 Returns the distance of the last point from the end of the edge(s) More...
 
unsafe int FlipState [get, set]
 Returns or sets the flip state of the selected edge(s) More...
 
unsafe string InputFile [get, set]
 Returns or sets the name of the input file used to specify locations for the weld More...
 
unsafe
NXOpen.CAE.WeldBuilder.WeldLocation 
Location [get, set]
 Returns or sets the location of the specified weld More...
 
unsafe NXOpen.CAE.SelectFENodeList NodeSelection [get]
 Returns the node(s) used to specify the location of the weld More...
 
unsafe int NumberOfPointsOnEdge [get, set]
 Returns or sets the number of points on the edge(s) used to specify the location of the weld More...
 
unsafe
NXOpen.CAE.WeldBuilder.NumberOfPointsOnEdgeType 
NumberOfPointsOption [get, set]
 Returns or sets the option to specify the maximum number of points on the edge(s) used to specify the location of the weld More...
 
unsafe NXOpen.Expression OffsetDistance [get]
 Returns the distance to offset the points from the edge(s) More...
 
unsafe NXOpen.Direction OffsetVector [get, set]
 Returns or sets the vector along which to offset the points More...
 
unsafe string Pattern [get, set]
 Returns or sets the pattern used to specify locations on the edge(s) More...
 
unsafe
NXOpen.CAE.WeldBuilder.PointOnEdgeType 
PointOnEdgeOption [get, set]
 Returns or sets the location of the points on the edge More...
 
unsafe
NXOpen.SelectTaggedObjectList 
PointsSelection [get]
 Returns the point(s) used to specify the location of the weld More...
 
unsafe NXOpen.Expression SearchDistance [get]
 Returns the distance within which to search for PIDs More...
 
unsafe int SpecifiedNumberOfPoints [get, set]
 Returns or sets the maximum number of points on the edge(s) used to specify the location of the weld More...
 
unsafe NXOpen.Expression StartOffset [get]
 Returns the distance of the first point from the beginning of the edge(s) More...
 
unsafe bool SupportAllPids [get, set]
 Returns or sets the option to include all PIDs within the search distance for creating welds More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.WeldBuilder

To create a new instance of this class, use NXOpen.CAE.MeshManager.CreateWeldBuilder

Created in NX7.5.2

Member Enumeration Documentation

Represents the options for specifying maximum number of weld points on an edge

Enumerator
MaximumNumber 

Create the maximum number of points on an edge

SpecifiedNumber 

Specify the number of points to be created on an edge

Represents the options for specifying number of weld points on an edge

Enumerator
ByNumber 

Specify the number of weld points to be created on an edge

ByDistance 

Specify the distance between weld points created on an edge

ByPattern 

Specify the distance between weld points as a pattern

Represents the options for type of operation

Enumerator
Point 

Creates a weld at locations specified using points

File 

Creates a weld at locations specified in an input file

Edge 

Creates a weld at locations on an edge

Node 

Creates a weld at locations specified using nodes

Property Documentation

unsafe NXOpen.Expression NXOpen.CAE.WeldBuilder.DistanceBetween
get

Returns the distance between the points on the edge(s) used to specify the location of the weld

Created in NX7.5.2

License requirements: None.

unsafe NXOpen.SelectTaggedObjectList NXOpen.CAE.WeldBuilder.EdgeSelection
get

Returns the edge(s) used to specify the location of the weld

Created in NX7.5.2

License requirements: None.

unsafe NXOpen.CAE.ElementTypeBuilder NXOpen.CAE.WeldBuilder.ElementType
get

Returns the element type to be created for the weld

Created in NX7.5.2

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.WeldBuilder.EndOffset
get

Returns the distance of the last point from the end of the edge(s)

Created in NX7.5.4

License requirements: None.

unsafe int NXOpen.CAE.WeldBuilder.FlipState
getset

Returns or sets the flip state of the selected edge(s)

Created in NX7.5.4

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe string NXOpen.CAE.WeldBuilder.InputFile
getset

Returns or sets the name of the input file used to specify locations for the weld

Created in NX7.5.2

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.WeldBuilder.WeldLocation NXOpen.CAE.WeldBuilder.Location
getset

Returns or sets the location of the specified weld

Created in NX7.5.2

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.SelectFENodeList NXOpen.CAE.WeldBuilder.NodeSelection
get

Returns the node(s) used to specify the location of the weld

Created in NX7.5.2

License requirements: None.

unsafe int NXOpen.CAE.WeldBuilder.NumberOfPointsOnEdge
getset

Returns or sets the number of points on the edge(s) used to specify the location of the weld

Created in NX7.5.2

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.WeldBuilder.NumberOfPointsOnEdgeType NXOpen.CAE.WeldBuilder.NumberOfPointsOption
getset

Returns or sets the option to specify the maximum number of points on the edge(s) used to specify the location of the weld

Created in NX7.5.4

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.WeldBuilder.OffsetDistance
get

Returns the distance to offset the points from the edge(s)

Created in NX7.5.4

License requirements: None.

unsafe NXOpen.Direction NXOpen.CAE.WeldBuilder.OffsetVector
getset

Returns or sets the vector along which to offset the points

Created in NX7.5.4

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe string NXOpen.CAE.WeldBuilder.Pattern
getset

Returns or sets the pattern used to specify locations on the edge(s)

Created in NX7.5.4

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.WeldBuilder.PointOnEdgeType NXOpen.CAE.WeldBuilder.PointOnEdgeOption
getset

Returns or sets the location of the points on the edge

Created in NX7.5.2

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.SelectTaggedObjectList NXOpen.CAE.WeldBuilder.PointsSelection
get

Returns the point(s) used to specify the location of the weld

Created in NX7.5.2

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.WeldBuilder.SearchDistance
get

Returns the distance within which to search for PIDs

Created in NX7.5.2

License requirements: None.

unsafe int NXOpen.CAE.WeldBuilder.SpecifiedNumberOfPoints
getset

Returns or sets the maximum number of points on the edge(s) used to specify the location of the weld

Created in NX7.5.4

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.WeldBuilder.StartOffset
get

Returns the distance of the first point from the beginning of the edge(s)

Created in NX7.5.4

License requirements: None.

unsafe bool NXOpen.CAE.WeldBuilder.SupportAllPids
getset

Returns or sets the option to include all PIDs within the search distance for creating welds

Created in NX7.5.2

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.